> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Token Payroll

> Creates a token payroll for an existing payroll entity with the given period, pay date and currency.

Not available to API keys yet. It will need `payroll:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/create-token-payroll
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/create-token-payroll:
    post:
      operationId: createTokenPayroll
      summary: Create Token Payroll
      description: >-
        Creates a token payroll for an existing payroll entity with the given
        period, pay date and currency.


        Not available to API keys yet. It will need `payroll:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTokenPayrollRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateTokenPayrollResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateTokenPayrollRequest:
      type: object
      properties:
        payPeriodStart:
          type: string
          format: date-time
        payPeriodEnd:
          type: string
          format: date-time
        payDate:
          type: string
          format: date-time
        fiatCurrency:
          type: string
          enum:
            - TRY
            - ILS
            - CRC
            - TTD
            - SGD
            - JPY
            - AUD
            - NOK
            - INR
            - GBP
            - CHF
            - RUB
            - CAD
            - BRL
            - NGN
            - KRW
            - AED
            - LBP
            - EUR
            - NZD
            - ZAR
            - USD
            - USDC
            - USDT
            - USDP
            - PHP
            - PLN
            - RSD
            - HKD
            - TWD
            - AFN
            - AMD
            - ANG
            - AOA
            - ARS
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CDF
            - CLF
            - CLP
            - CNY
            - COP
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - FJD
            - FKP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KWD
            - KYD
            - KZT
            - LAK
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZN
            - NAD
            - NPR
            - NIO
            - OMR
            - PAB
            - PEN
            - PGK
            - PKR
            - PYG
            - QAR
            - RON
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SHP
            - SLL
            - SOS
            - SRD
            - SSP
            - STN
            - SVC
            - SYP
            - SZL
            - TJS
            - TMT
            - TND
            - TOP
            - TZS
            - UAH
            - UGX
            - UYU
            - UZS
            - VES
            - VND
            - VUV
            - WST
            - XAF
            - XCD
            - XOF
            - XPF
            - YER
            - ZMW
            - SEK
            - THB
        payrollEntityId:
          type: string
          minLength: 1
          maxLength: 200
        externalPayrollID:
          type: string
          minLength: 1
          maxLength: 200
        type:
          type: string
          enum:
            - ON_CYCLE
            - OFF_CYCLE
            - INVOICE_PAYMENT
        state:
          type: string
          enum:
            - DRAFT
            - PENDING
            - OVERDUE
            - LOCKED
            - IN_PROGRESS
            - APPROVED
            - COMPLETED
            - CANCELLED
      required:
        - payPeriodStart
        - payPeriodEnd
        - payDate
        - fiatCurrency
        - payrollEntityId
    CreateTokenPayrollResponse:
      type: object
      properties:
        tokenPayroll:
          type: object
          properties:
            tokenPayrollID:
              type: string
            orgID:
              type: string
            payPeriodStart:
              type: string
            payPeriodEnd:
              type: string
            payDate:
              type: string
            externalPayrollID:
              type:
                - string
                - 'null'
            fiatCurrency:
              type: string
            payrollEntityId:
              type:
                - string
                - 'null'
            state:
              type: string
            type:
              type: string
            createdAt:
              type: string
            updatedAt:
              type: string
            payrollEntity:
              type:
                - object
                - 'null'
              properties:
                payrollEntityID:
                  type: string
                name:
                  type: string
                reportingCurrency:
                  type: string
                country:
                  type: string
              required:
                - payrollEntityID
                - name
                - reportingCurrency
                - country
          required:
            - tokenPayrollID
            - orgID
            - payPeriodStart
            - payPeriodEnd
            - payDate
            - externalPayrollID
            - fiatCurrency
            - payrollEntityId
            - state
            - type
            - createdAt
            - updatedAt
            - payrollEntity
      required:
        - tokenPayroll
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
